Bug 1012349 - [abrt] 0ad-0.0.14-1.fc18: pushbuf_dump: Process /usr/bin/pyrogenesis was killed by signal 11 (SIGSEGV)
[abrt] 0ad-0.0.14-1.fc18: pushbuf_dump: Process /usr/bin/pyrogenesis was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 0ad (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
abrt_hash:e68a73ce0451f73f2d72832f7b8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 06:36 EDT by Andreas Stenius
Modified: 2014-02-05 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:25:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.36 KB, text/plain)
2013-09-26 06:36 EDT, Andreas Stenius
no flags Details
File: cgroup (127 bytes, text/plain)
2013-09-26 06:36 EDT, Andreas Stenius
no flags Details
File: core_backtrace (27.34 KB, text/plain)
2013-09-26 06:36 EDT, Andreas Stenius
no flags Details
File: dso_list (8.22 KB, text/plain)
2013-09-26 06:36 EDT, Andreas Stenius
no flags Details
File: environ (3.45 KB, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: maps (49.66 KB, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: open_fds (1.07 KB, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details
File: var_log_messages (563 bytes, text/plain)
2013-09-26 06:37 EDT, Andreas Stenius
no flags Details

  None (edit)
Description Andreas Stenius 2013-09-26 06:36:43 EDT
Description of problem:
It crashed approx 15 min into gameplay just when I started building a blacksmith, I think it was.

I have dual screens, and since the game spans both screens in fullscreen mode, I switched to windowed mode.

This was the first time I ran this game, so I don't know how repeatable this issue is.

This crash seems related to a issue with the noveau graphics driver: https://bugzilla.redhat.com/show_bug.cgi?id=883919

Version-Release number of selected component:
0ad-0.0.14-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: pushbuf_dump
executable:     /usr/bin/pyrogenesis
kernel:         3.10.12-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pushbuf_dump at pushbuf.c:296
 #1 pushbuf_submit at pushbuf.c:361
 #2 pushbuf_flush at pushbuf.c:402
 #3 nouveau_pushbuf_space at pushbuf.c:676
 #4 PUSH_SPACE at ../../../../src/gallium/drivers/nouveau/nouveau_winsys.h:28
 #6 BEGIN_NVC0 at nvc0_winsys.h:112
 #7 nve4_set_tex_handles at nvc0_tex.c:514
 #8 nvc0_state_validate at nvc0_state_validate.c:560
 #9 nvc0_draw_vbo at nvc0_vbo.c:828
 #10 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
Comment 1 Andreas Stenius 2013-09-26 06:36:47 EDT
Created attachment 803338 [details]
File: backtrace
Comment 2 Andreas Stenius 2013-09-26 06:36:51 EDT
Created attachment 803339 [details]
File: cgroup
Comment 3 Andreas Stenius 2013-09-26 06:36:54 EDT
Created attachment 803340 [details]
File: core_backtrace
Comment 4 Andreas Stenius 2013-09-26 06:36:58 EDT
Created attachment 803341 [details]
File: dso_list
Comment 5 Andreas Stenius 2013-09-26 06:37:01 EDT
Created attachment 803342 [details]
File: environ
Comment 6 Andreas Stenius 2013-09-26 06:37:05 EDT
Created attachment 803343 [details]
File: exploitable
Comment 7 Andreas Stenius 2013-09-26 06:37:08 EDT
Created attachment 803344 [details]
File: limits
Comment 8 Andreas Stenius 2013-09-26 06:37:12 EDT
Created attachment 803345 [details]
File: maps
Comment 9 Andreas Stenius 2013-09-26 06:37:15 EDT
Created attachment 803346 [details]
File: open_fds
Comment 10 Andreas Stenius 2013-09-26 06:37:18 EDT
Created attachment 803347 [details]
File: proc_pid_status
Comment 11 Andreas Stenius 2013-09-26 06:37:22 EDT
Created attachment 803348 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:37:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:25:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.